<template >
	<div class="grid">
		<slot/>
	</div>
</template>
<script>
export default {
	
}
</script>
<style lang="css" scoped>
* {
	box-sizing: border-box;
}
.grid {
	display: grid;
	grid-template-columns: 100%;
	grid-template-rows:  100%;

	height: Calc(100% );
	grid-gap: 15px;
	padding: 5px !important;
	overflow: hidden;
	width: 100% !important;
}	

@media (min-width: 768px) {
	.grid {
		grid-template-columns: repeat(12, calc(100% / 12 - 15px));
		grid-template-rows: repeat(6, calc(100% / 6 - 14px) );
	}
}



</style>